clear variables
close all

%Script for calling the functions of TR-EPR toolbox

%path to dataset
datapath = 'C:\Users\lukas\Nextcloud\Uni\Bachelorarbeit\tr-epr-simulation\example_data.mat';

[raw_data,params] = load_matlab(datapath);

[time_corr_data,params] = correct_time_baseline(raw_data,params);

[full_corr_data,params] = correct_magnetic_basline(time_corr_data,params);

[norm_data,params] = normalize_data(full_corr_data,params);

[params] = pre_simulation_TREPR(params);

[params] = simulation_TREPR(params);